Обход ограничений безопасности в Quagga

Дата публикации:
05.05.2006
Всего просмотров:
1197
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-2223
CVE-2006-2224
Вектор эксплуатации:
Локальная сеть
Воздействие:
Раскрытие системных данных
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Quagga 0.x
Уязвимые версии: Quagga 0.99.5 и более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю обойти ограничения безопасности и получить доступ к важным данным на системе.

1. Ошибка в RIPd позволяет принять пакеты RIPv1 RESPONSE для обновления маршрутов, даже если включена RIPv2 аутентификация. Удаленный пользователь может внедрить злонамеренный маршрут в демон RIP.

2. Обнаружена ошибка в RIPd, которая позволяет демону ответить на RIPv1 SEND UPDATE запрос и отправить атакующему данные таблицы маршрутизации, даже если включена RIPv2 аутентификация.

URL производителя: www.quagga.net

Решение: Установите последнюю версию, доступную по CVS.

Ссылки: [Full-disclosure] Quagga RIPD unauthenticated route table broadcast
[Full-disclosure] Quagga RIPD unauthenticated route injection

или введите имя

CAPTCHA